Doxygen 1.8.16

Ken Brown kbrown@cornell.edu
Fri Aug 30 12:57:00 GMT 2019


On 8/29/2019 11:34 AM, Yaakov Selkowitz wrote:
> On Thu, 2019-08-29 at 14:25 +0000, Ken Brown wrote:
>> On 8/29/2019 8:51 AM, Kptain wrote:
>>> Is it possible to make available release 1.8.16 of Doxygen as lot of fixes
>>> have been provided?
>>
>> Yes, I'll do that within the next few days.
> 
> When you do, make sure you update your installation first as LLVM/Clang
> was just updated, and doxygen is the last package using the old
> version.

The doxygen build with the latest LLVM fails as follows:

CMake Error at CMakeLists.txt:44 (find_package):
   Found package configuration file:

     /usr/lib/cmake/llvm/LLVMConfig.cmake

   but it set LLVM_FOUND to FALSE so package "LLVM" is considered to be NOT
   FOUND.  Reason given by package:

   The following imported targets are referenced, but are missing: LLVMSupport
   LLVMCore LLVMScalarOpts LLVMInstCombine LLVMTransformUtils LLVMAnalysis
   LLVMipo LLVMMC LLVMPasses LLVMLinker LLVMIRReader LLVMBitReader
   LLVMMCParser LLVMObject LLVMProfileData LLVMTarget LLVMVectorize

I don't know much about CMake or LLVM.  Any idea what's going on?  Here's the 
relevant part of CMakeLists.txt:

if (use_libclang)
	set(clang    "1" CACHE INTERNAL "used in settings.h")
         find_package(LLVM CONFIG REQUIRED)          <<<<<<< line 44
         find_package(Clang CONFIG REQUIRED)
     if (CMAKE_SYSTEM MATCHES "Darwin")
         set(MACOS_VERSION_MIN 10.11)
     endif()
endif()

It was the same for doxygen-1.8.15.

Ken

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list